video
from0.14 / s
Happy Horse 1.0
Happy Horse 1.0 - Reference to Video. Configured Alibaba route; cloned from happy-horse/reference-to-video.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "alibaba/happy-horse/reference-to-video", { input: { "prompt": "A cinematic scene at sunset", "duration": 5, "image_urls": [ "https://example.com/input.jpg" ], "resolution": "720p" }, withPolling: true, },); console.log(result);Calling the API
Use alibaba/happy-horse/reference-to-video with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "alibaba/happy-horse/reference-to-video", { input: { "prompt": "A cinematic scene at sunset", "duration": 5, "image_urls": [ "https://example.com/input.jpg" ], "resolution": "720p" }, withPolling: true, },); console.log(result);Request parameters
promptstring · required
Write your prompt here
{
"type": "string",
"title": "Prompt",
"description": "Write your prompt here"
}durationinteger · optional
Duration
Default: 5
{
"type": "integer",
"title": "Duration",
"default": 5,
"maximum": 15,
"minimum": 2
}resolutionstring · optional
resolution
Options: 720p, 1080p
Default: "720p"
{
"enum": [
"720p",
"1080p"
],
"type": "string",
"default": "720p"
}seedinteger · optional
seed
{
"type": "integer",
"maximum": 2147483646,
"minimum": 1
}image_urlsarray · required
image urls
{
"type": "array",
"items": {
"type": "string",
"title": "Image URL",
"format": "uri"
}
}Price
From $0.1400 per second.
View all pricing